<?php

declare(strict_types=1);

namespace App\Framework\View\ValueObjects;

interface HtmlElement
{
    public HtmlTag $tag { get; }

    public HtmlAttributes $attributes { get; }

    public string $content { get; }

    public function __toString(): string;
}
